### Signal

# EDataServer Source::authenticate

#### Declaration

    void
    authenticate (
      ESource* self,
      ENamedParameters* credentials,
      gpointer user_data
    )

#### Description [src]

Let’s the backend know provided credentials to use to login to (possibly remote) data store.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing

#### Parameters

`credentials`

  Type: `ENamedParameters`

  An `ENamedParameters` with provided credentials.

  The data is owned by the caller of the function.